use crate::prelude::*;

/// Deletes the message from the callback
pub async fn delete_message(
    bot: Throttle<Bot>,
    q: CallbackQuery,
    locale: LocaleRef,
) -> crate::Result<()> {
    if let Some(msg) = q.message {
        if bot.delete_message(msg.chat().id, msg.id()).await.is_err() {
            bot.send_message(msg.chat().id, &locale.error_deleting_message)
                .reply_markup(deletion_markup(locale))
                .await?;
        }
    }
    bot.answer_callback_query(q.id).await?;
    Ok(())
}
