use crate::prelude::*;

#[expect(clippy::unused_async)]
async fn check_login(
    _: &Message,
    _: &Pool,
    locale: LocaleRef,
    login: &str,
) -> crate::Result<Option<String>> {
    let is_valid = validate_field(login);
    if !is_valid {
        return Ok(Some(locale.invalid_login.to_owned()));
    }
    Ok(None)
}

crate::simple_state_handler!(get_login, check_login);
