use crate::prelude::*;

/// Validates a new account
async fn check_new_account_name(
    msg: &Message,
    db: &Pool,
    locale: LocaleRef,
    name: &str,
) -> crate::Result<Option<String>> {
    let user_id = msg.get_user_id()?;

    if Account::exists(user_id, name, db).await? {
        Ok(Some(locale.account_already_exists.to_owned()))
    } else if !validate_field(name) {
        Ok(Some(locale.invalid_name.to_owned()))
    } else {
        Ok(None)
    }
}

crate::simple_state_handler!(get_new_name, check_new_account_name);
