use teloxide::types::User;

use crate::{errors::NoUserInfo, prelude::*};

pub trait GetUserExt {
    fn get_user(&self) -> Result<&User, NoUserInfo>;

    fn get_user_id(&self) -> Result<u64, NoUserInfo> {
        self.get_user().map(|user| user.id.0)
    }
}

impl GetUserExt for Message {
    fn get_user(&self) -> Result<&User, NoUserInfo> {
        self.from.as_ref().ok_or(NoUserInfo)
    }
}
